<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";


$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo'<img src="../images/img/partners.gif" alt=""> <b>Все голосования</b><br><br>';
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}} 


$file = @file("../local/datavotes/allvotes.dat");
$file = array_reverse($file);
$total = count($file);    
if(!$total<1){
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_allvotes){ $end = $total; }
else {$end = $start + $config_allvotes; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$file[$i]);
$sumtotal+=$data[11];
echo '<div class=b><img src="../images/img/arhiv.gif" alt=""> Вопрос: <b>'.$data[0].'</b><br></div>';
echo '<div>Результаты:<br>';
echo $data[1].'<br>';
echo $data[2].'<br>';
echo $data[3].'<br>';
if($data[4]!==""){echo $data[4].'<br>';}
if($data[5]!==""){echo $data[5].'<br>';}
if($data[6]!==""){echo $data[6].'<br>';}
if($data[7]!==""){echo $data[7].'<br>';}
if($data[8]!==""){echo $data[8].'<br>';}
if($data[9]!==""){echo $data[9].'<br>';}
if($data[10]!==""){echo $data[10].'<br>';}
echo '<b>Было опрошено: '.(int)$data[11].'</b></div><hr>';
}
    
if ($start != 0) {echo '<a href="allvotes.php?start='.($start - $config_allvotes).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_allvotes) {echo ' <a href="allvotes.php?start='.($start + $config_allvotes).'&amp;'.SID.'">| Далее-&gt;</a>';}else{echo 'Далее-&gt;';}

echo'<br><br>Всего опрошено: '.(int)$sumtotal;
echo'<br>Всего голосований: '.(int)$total;

}else{echo '<b>Архив голосований еще не создан!</b><br>';}

echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">К голосованию</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>
